<?php

$args = array(
		'class'=>'',
		'animate'=>'',
		'title'=>'',
		'address_title1'=>'',
		'address_title2'=>'',
		'address_title3'=>'',
		'address_title4'=>'',		
		'phone_title1'=>'',
		'phone_title2'=>'',
		'phone_title3'=>'',
		'phone_title4'=>'',		
		'mail_title1'=>'',
		'mail_title2'=>'',
		'mail_title3'=>'',
		'mail_title4'=>'',				
		'link_target'=>'',
		'link_url1'=>'',						
		'link_url2'=>'',						
		'margin'=>'',					
			
);

$html = "";

extract(shortcode_atts($args, $atts));

    if($animate == "yes"){ 
    $bauen_animate_start = '<div class="animate-box" data-animate-effect="fadeInUp">';
    $bauen_animate_end = '</div>';
    } else {
	$bauen_animate_start="";
	$bauen_animate_end="";		
	}	

	$html .='<div class="sec-contact-info mb-30 '.esc_attr($class).'"';
			if($margin != '') { $html .='style="margin:'.$margin.';"';} 
	$html .='>'; 
	    $html .=''.$bauen_animate_start.''; 
		    if($title != '') {	
		    $html .='<p><b>'.esc_html($title).'</b></p>'; 
			}
			if($content != '') {	
				$html .='<p>'.do_shortcode($content).'</p>';   
			} 
		            
			if($phone_title1 != '' || $phone_title2 != '') {
                $html .='<p><b>'.esc_html($phone_title1).' </b> <a href="tel:'.esc_url($phone_title2).'"> '.esc_html($phone_title2).'</a></p>'; 
			}	
			if($phone_title3 != '' || $phone_title4 != '') {
                $html .='<p><b>'.esc_html($phone_title3).' </b> <a href="tel:'.esc_url($phone_title4).'"> '.esc_html($phone_title4).'</a></p>'; 
			}			

			if($mail_title1 != '' || $mail_title2 != '') {
                $html .='<p><b>'.esc_html($mail_title1).' </b> <a href="mailto:'.esc_url($mail_title2).'"> '.esc_html($mail_title2).'</a></p>'; 
			}	
			if($mail_title3 != '' || $mail_title4 != '') {
                $html .='<p><b>'.esc_html($mail_title3).' </b> <a href="mailto:'.esc_url($mail_title4).'"> '.esc_html($mail_title4).'</a></p>'; 
			}
			
		    if($address_title1 != '' || $address_title2 != '') {	
				$html .='<p><b>'.esc_html($address_title1).' </b> '; 
					if($link_url1 != '') {	
					$html .='<a href="'.esc_url($link_url1).'" ';
						if($link_target != '') { $html .='target="'.esc_attr($link_target).'"';}						
					$html .='>';
					}						
				$html .=' '.esc_html($address_title2).'</p>'; 
					if($link_url1 != '') {	
					$html .='</a>';
					}				
			}	
		    if($address_title3 != '' || $address_title4 != '') {	
				$html .='<p><b>'.esc_html($address_title3).' </b> '; 
					if($link_url2 != '') {	
					$html .='<a href="'.esc_url($link_url2).'" ';
						if($link_target != '') { $html .='target="'.esc_attr($link_target).'"';}						
					$html .='>';
					}						
				$html .=' '.esc_html($address_title4).'</p>'; 
					if($link_url2 != '') {	
					$html .='</a>';
					}				
			}				
			
		$html .=''.$bauen_animate_end.''; 	
	$html .='</div>'; 		

echo $html;